.mobile-sidebar {
  position: fixed;
  top: 15%;
  bottom: 15%;
  left: -240px;
  width: 350px;
  background-color: #ffffff;
  padding: 15px;
  transition: left 0.5s ease;
  border-radius: 0% 25px 30px 0%;
  display: flex;
  flex-direction: column;
  justify-content: start;
  box-shadow: 2px 0 5px rgb(0, 0, 0);
  max-height: calc(80% - 30px);
  overflow-y: auto;
  z-index: 1001;
  font-size: 14px;
  scrollbar-color: rgba(0, 0, 0, 0.5) transparent;
  scrollbar-width: thin;
}

.mobile-sidebar h2 {
  color: #000000;
  text-align: center;
  margin-top: 5px;
  font-size: 25px;
}

.mobile-sidebar:hover .menu-item select {
  transition: 2s;
  visibility: visible;
  opacity: 1;
}

.menu-item {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}

.menu-item a {
  text-decoration: none;
  color: rgb(0, 0, 0);
  padding: 8px;
  border-radius: 15px;
  flex-grow: 1;
  display: block;
  font-size: 20px;
}

.menu-item p {
  font-size: 18;
}

.menu-item .label {
  visibility: visible;
  margin-right: 10px;
  font-weight: bold;
}

.menu-item p {
  color: #000000;
  font-size: 12px;
  margin: 0;
}

.menu-item select {
  border-radius: 20px;
  padding: 8px;
  width: 200px;
}

.menu-item img {
  position: absolute;
  width: 15%;
  height: auto;
  cursor: pointer;
  margin-top: 20px;
  margin-right: 10px;
  margin-left: 70%;
  vertical-align: middle;
  opacity: 1 !important;
}

.content {
  margin-left: 80px;
  padding-left: 100px;
  padding: 20px;
  transition: margin-left 0.7s ease;
  z-index: 1000;
  scroll-behavior: smooth;
}

.mobile-sidebar.open {
  left: 0;
}

.content.open {
  margin-left: 350px;
}

.menu-item {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}

.close_button {
  display: none;
}

@media (min-width: 769px) {
  .mobile-sidebar:hover {
    left: 0;
  }
}

@media (max-width: 768px) {
  .button-sidebar {
    position: absolute;
    top: 15%;
    left: 0;
    width: 80px;
    height: 66px;
    background-color: #ffffff;
    box-shadow: 0px 0 6px rgb(0, 0, 0);
    border-radius: 0px 15px 15px 0px;
    transition: visibility 0s, opacity 0.5s linear;
    z-index: 1001;
  }

  .button-sidebar.hidden {
    visibility: hidden;
    opacity: 0;
  }

  .button-sidebar img {
    margin: 3px 10px;
    width: 64px;
    height: auto;
    cursor: pointer;
  }

  .close_button {
    display: flex;
    position: absolute;
    top: 5%;
    left: 81%;
    height: 25px;
    width: 25px;
  }

  .mobile-sidebar {
    position: fixed;
    top: 15%;
    bottom: 15%;
    left: -400px;
    width: 350px;
    background-color: #ffffff;
    padding: 15px;
    transition: left 0.5s ease;
    border-radius: 0% 25px 30px 0%;
    display: flex;
    flex-direction: column;
    justify-content: start;
    box-shadow: 2px 0 5px rgb(0, 0, 0);
    max-height: calc(80% - 30px);
    overflow-y: auto;
    z-index: 1001;
    font-size: 14px;
    scrollbar-color: rgba(0, 0, 0, 0.5) transparent;
    scrollbar-width: thin;
  }
}
